## org.jboss.jdbc
Interface XADataSourceLoaderMBean

All Superinterfaces:
  Service, ServiceMBean

All Known Implementing Classes:
  XADataSourceLoader

public interface XADataSourceLoaderMBean
extends ServiceMBean

Field Summary
`static java.lang.String` `OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Method Summary
`long` `getAvailableConnections()`
`boolean` `getBlocking()`
`int` `getBlockingTimeout()`
`java.lang.String` `getDataSourceClass()`
`boolean` `getGCEnabled()`
`long` `getGCInterval()`
`long` `getGCMinIdleTime()`
`long` `getIdleTimeout()`
`boolean` `getIdleTimeoutEnabled()`
`boolean` `getInvalidateOnError()`
`java.lang.String` `getJDBCUser()`
`boolean` `getLoggingEnabled()`
`float` `getMaxIdleTimeoutPercent()`
`int` `getMaxSize()`
`int` `getMinSize()`
`java.lang.String` `getPassword()`
`java.lang.String` `getPoolName()`
`java.lang.String` `getProperties()`
`int` `getPSCacheSize()`
`boolean` `getReleaseOnCommit()`
`boolean` `getSaveStackTrace()`
`boolean` `getTimestampUsed()`
`java.lang.String` `getTransactionIsolation()`
`java.lang.String` `getURL()`
`long` `getUsedConnections()`
`void` `setBlocking(boolean blocking)`
`void` `setBlockingTimeout(int blockingTimeout)`
`void` `setDataSourceClass(java.lang.String clazz)`
`void` `setGCEnabled(boolean gcEnabled)`
`void` `setGCInterval(long interval)`
`void` `setGCMinIdleTime(long idleMillis)`
`void` `setIdleTimeout(long idleMillis)`
`void` `setIdleTimeoutEnabled(boolean enabled)`
`void` `setInvalidateOnError(boolean invalidate)`
`void` `setJDBCUser(java.lang.String userName)`
`void` `setLoggingEnabled(boolean enabled)`
`void` `setMaxIdleTimeoutPercent(float percent)`
`void` `setMaxSize(int maxSize)`
`void` `setMinSize(int minSize)`
`void` `setPassword(java.lang.String password)`
`void` `setPoolName(java.lang.String name)`
`void` `setProperties(java.lang.String properties)`
`void` `setPSCacheSize(int size)`
`void` `setReleaseOnCommit(boolean rel)`
`void` `setSaveStackTrace(boolean save)`
`void` `setTimestampUsed(boolean timestamp)`
`void` `setTransactionIsolation(java.lang.String iso)`
`void` `setURL(java.lang.String url)`

Methods inherited from interface org.jboss.util.ServiceMBean
`getName, getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Field Detail

### OBJECT_NAME

    public static final java.lang.String OBJECT_NAME

Method Detail

### setPoolName

    public void setPoolName(java.lang.String name)

### getPoolName

    public java.lang.String getPoolName()

### setDataSourceClass

    public void setDataSourceClass(java.lang.String clazz)

### getDataSourceClass

    public java.lang.String getDataSourceClass()

### setURL

    public void setURL(java.lang.String url)

### getURL

    public java.lang.String getURL()

### setJDBCUser

    public void setJDBCUser(java.lang.String userName)

### getJDBCUser

    public java.lang.String getJDBCUser()

### setPassword

    public void setPassword(java.lang.String password)

### getPassword

    public java.lang.String getPassword()

### setProperties

    public void setProperties(java.lang.String properties)

### getProperties

    public java.lang.String getProperties()

### setLoggingEnabled

    public void setLoggingEnabled(boolean enabled)

### getLoggingEnabled

    public boolean getLoggingEnabled()

### setMinSize

    public void setMinSize(int minSize)

### getMinSize

    public int getMinSize()

### setMaxSize

    public void setMaxSize(int maxSize)

### getMaxSize

    public int getMaxSize()

### setBlocking

    public void setBlocking(boolean blocking)

### getBlocking

    public boolean getBlocking()

### setBlockingTimeout

    public void setBlockingTimeout(int blockingTimeout)

### getBlockingTimeout

    public int getBlockingTimeout()

### setGCEnabled

    public void setGCEnabled(boolean gcEnabled)

### getGCEnabled

    public boolean getGCEnabled()

### setGCInterval

    public void setGCInterval(long interval)

### getGCInterval

    public long getGCInterval()

### setGCMinIdleTime

    public void setGCMinIdleTime(long idleMillis)

### getGCMinIdleTime

    public long getGCMinIdleTime()

### setIdleTimeoutEnabled

    public void setIdleTimeoutEnabled(boolean enabled)

### getIdleTimeoutEnabled

    public boolean getIdleTimeoutEnabled()

### setIdleTimeout

    public void setIdleTimeout(long idleMillis)

### getIdleTimeout

    public long getIdleTimeout()

### setMaxIdleTimeoutPercent

    public void setMaxIdleTimeoutPercent(float percent)

### getMaxIdleTimeoutPercent

    public float getMaxIdleTimeoutPercent()

### setInvalidateOnError

    public void setInvalidateOnError(boolean invalidate)

### getInvalidateOnError

    public boolean getInvalidateOnError()

### setTimestampUsed

    public void setTimestampUsed(boolean timestamp)

### getTimestampUsed

    public boolean getTimestampUsed()

### getTransactionIsolation

    public java.lang.String getTransactionIsolation()

### setTransactionIsolation

    public void setTransactionIsolation(java.lang.String iso)

### getPSCacheSize

    public int getPSCacheSize()

### setPSCacheSize

    public void setPSCacheSize(int size)

### getReleaseOnCommit

    public boolean getReleaseOnCommit()

### setReleaseOnCommit

    public void setReleaseOnCommit(boolean rel)

### getSaveStackTrace

    public boolean getSaveStackTrace()

### setSaveStackTrace

    public void setSaveStackTrace(boolean save)

### getAvailableConnections

    public long getAvailableConnections()

### getUsedConnections

    public long getUsedConnections()

Copyright © 2000 The JBoss Organization. All Rights Reserved.